/***************************************************************************
 *   Copyright (C) 2008 by lovewilliam   *
 *   lovewilliam@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ANTIBACKEND_H
#define ANTIBACKEND_H

/**
	@author lovewilliam <lovewilliam@gmail.com>
*/

#include <qwidget.h>

#include "pcmx.h"

class antiBackend:public QWidget
{
		Q_OBJECT

	public:
		antiBackend();
		~antiBackend();

	public slots:
		void start ( int );
		void stop ( void );
		void changeLevel ( int );

	private:
		pcmx *pcmBackend;
};

#endif
