/***************************************************************************
 *   Copyright (C) 2008 by lovewilliam   *
 *   lovewilliam@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef ANTIMOZWIDGET_H
#define ANTIMOZWIDGET_H

#include "antimozwidgetbase.h"
#include "antibackend.h"


class AntimozWidget : public AntimozWidgetBase
{
		Q_OBJECT

	public:
		AntimozWidget ( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
		~AntimozWidget();
		/*$PUBLIC_FUNCTIONS$*/
		antiBackend *antiback;
		int antiLevel;
		bool started;


	signals:
		void radioBC(int);
		void toTray(void);
		void changeText(void);
	public slots:
		/*$PUBLIC_SLOTS$*/
		virtual void          quitButtonClicked ( void );
		virtual void          startButtonClicked ( void );
		virtual void          trayButtonClicked ( void );
		virtual void          radioButtonClicked ( int );
		virtual void          radioButtonClicked1 ( void );
		virtual void          radioButtonClicked2 ( void );
		virtual void          radioButtonClicked3 ( void );
		virtual void          radioButtonClicked4 ( void );
		virtual void          radioButtonClicked5 ( void );

	protected:
		/*$PROTECTED_FUNCTIONS$*/

	protected slots:
		/*$PROTECTED_SLOTS$*/

	private slots:
		void toParent(void);
};

#endif

